> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Global Ad Library CSV

> Export the current global ad-library search lens as CSV.



## OpenAPI

````yaml /openapi.json get /api/v1/ad-library/export.csv
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/ad-library/export.csv:
    get:
      tags:
        - Ad Library
        - Ad Library
      summary: Export Global Ad Library CSV
      description: Export the current global ad-library search lens as CSV.
      operationId: export_global_ad_library_csv_api_v1_ad_library_export_csv_get
      parameters:
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
                minLength: 1
              - type: 'null'
            title: Q
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 80
              - type: 'null'
            title: Provider
        - name: platform
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
                minLength: 1
              - type: 'null'
            title: Platform
        - name: advertiser
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
                minLength: 1
              - type: 'null'
            title: Advertiser
        - name: advertiser_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Advertiser Id
        - name: advertiser_domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
                minLength: 1
              - type: 'null'
            title: Advertiser Domain
        - name: landing_domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 255
                minLength: 1
              - type: 'null'
            title: Landing Domain
        - name: country
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 2
                maxLength: 1000
              - type: 'null'
            title: Country
        - name: language
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 2
                maxLength: 1000
              - type: 'null'
            title: Language
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
                minLength: 1
              - type: 'null'
            title: Status
        - name: creative_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
                minLength: 1
              - type: 'null'
            title: Creative Type
        - name: video_length
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
                minLength: 1
              - type: 'null'
            title: Video Length
        - name: industry
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 1000
                minLength: 1
              - type: 'null'
            title: Industry
        - name: brand_industry
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 1000
                minLength: 1
              - type: 'null'
            title: Brand Industry
        - name: business_model
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 400
              - type: 'null'
            title: Business Model
        - name: theme
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
                maxLength: 600
              - type: 'null'
            title: Theme
        - name: activity
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
                minLength: 1
              - type: 'null'
            title: Activity
        - name: seen_since
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Seen Since
        - name: seen_until
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Seen Until
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: CSV file
          content:
            text/csv: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````